Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class SetPasswordTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.SetPasswordTag

public class SetPasswordTag
extends ResultTag

Corresponds to `<um:setPassword>`.

The `<um:setPassword>` tag updates the password for the user corresponding to the provided `username`.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
username | yes | String | The username of the user whose password is to be changed. Example: "`<%=username%>`"
password | yes | String | The new user password. Example: "`<%=password%>`"
result | yes | String | The name of an Integer variable to which the result of the set password operation is assigned. Possible Values: Success: `UserManagerTagContstants.SET_PASSWORD_OK` Failure: `UserManagerTagContstants.SET_PASSWORD_FAILED`

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SetPasswordTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to set the user's password.
`java.lang.String` | `getPassword()` Get the new password
`java.lang.String` | `getUsername()` Get the name of the user to modify
`void` | `setPassword(java.lang.String s)` Set the new password
`void` | `setUsername(java.lang.String s)` Set the name of the user to modify

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, release, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetPasswordTag

    public SetPasswordTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Go through the UserManager session bean to set the user's password.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getPassword

    public java.lang.String getPassword()

  Get the new password

### setPassword

    public void setPassword(java.lang.String s)

  Set the new password

### getUsername

    public java.lang.String getUsername()

  Get the name of the user to modify

### setUsername

    public void setUsername(java.lang.String s)

  Set the name of the user to modify

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved